#!/bin/sh
set -ev

export DARCS_EMAIL=tester
test $DARCS || DARCS=$PWD/../darcs

rm -rf temp
mkdir temp
cd temp

$DARCS init

echo "X X X" > foo
$DARCS rec -alm "Added"

# This should fail until replace handles spaces
! $DARCS replace ' X ' ' XX ' --token-chars '[ X]' foo || exit 1

cd ..
rm -rf temp
